Bug 789712 - Provide native systemd service
Summary: Provide native systemd service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ice
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 751869
TreeView+ depends on / blocked
 
Reported: 2012-02-12 13:50 UTC by Jóhann B. Guðmundsson
Modified: 2012-06-26 00:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-16 06:32:11 UTC


Attachments (Terms of Use)
Native systemd service for icegridnote (270 bytes, text/plain)
2012-02-12 13:50 UTC, Jóhann B. Guðmundsson
no flags Details
Native systemd service for icegridregistry (298 bytes, text/plain)
2012-02-12 13:51 UTC, Jóhann B. Guðmundsson
no flags Details
Native systemd service for glacier2router (278 bytes, text/plain)
2012-02-12 13:52 UTC, Jóhann B. Guðmundsson
no flags Details

Description Jóhann B. Guðmundsson 2012-02-12 13:50:24 UTC
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jóhann B. Guðmundsson 2012-02-12 13:50:59 UTC
Created attachment 561221 [details]
Native systemd service for icegridnote

Comment 2 Jóhann B. Guðmundsson 2012-02-12 13:51:31 UTC
Created attachment 561222 [details]
Native systemd service for icegridregistry

Comment 3 Jóhann B. Guðmundsson 2012-02-12 13:52:13 UTC
Created attachment 561223 [details]
Native systemd service for glacier2router

Comment 4 Haïkel Guémar 2012-02-17 20:00:34 UTC
Ice already provides systemd services (committed 12/29/2011)

Comment 5 Jóhann B. Guðmundsson 2012-04-16 07:41:09 UTC
Yeah well there is one thing to provide and another to provide correct ones. I suggest that you review what I submit it compare them to what you already have and remove "Restart=always" from those units...

Comment 6 Fedora Update System 2012-04-17 07:12:27 UTC
ice-3.4.2-12.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ice-3.4.2-12.fc17

Comment 7 Fedora Update System 2012-05-28 08:35:46 UTC
ice-3.4.2-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ice-3.4.2-13.fc17

Comment 8 Fedora Update System 2012-05-29 15:38:27 UTC
ice-3.4.2-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ice-3.4.2-14.fc17

Comment 9 Fedora Update System 2012-06-12 13:58:14 UTC
ice-3.4.2-15.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ice-3.4.2-15.fc17

Comment 10 Fedora Update System 2012-06-26 00:40:27 UTC
ice-3.4.2-15.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.